import 'fluent_localizations.dart';

/// The translations for Chinese (`zh`).
class FluentLocalizationsZh extends FluentLocalizations {
  FluentLocalizationsZh([String locale = 'zh']) : super(locale);

  @override
  String get backButtonTooltip => '返回';

  @override
  String get closeButtonLabel => '关闭';

  @override
  String get searchLabel => '搜索';

  @override
  String get closeNavigationTooltip => '关闭导航';

  @override
  String get openNavigationTooltip => '打开导航';

  @override
  String get clickToSearch => '点击搜索';

  @override
  String get modalBarrierDismissLabel => '取消';

  @override
  String get minimizeWindowTooltip => '最小化';

  @override
  String get restoreWindowTooltip => '恢复';

  @override
  String get closeWindowTooltip => '关闭';

  @override
  String get dialogLabel => '对话';

  @override
  String get cutActionLabel => '剪切';

  @override
  String get copyActionLabel => '复制';

  @override
  String get pasteActionLabel => '粘贴';

  @override
  String get selectAllActionLabel => '全选';

  @override
  String get newTabLabel => '添加新标签';

  @override
  String get closeTabLabelSuffix => '关闭标签';

  @override
  String get scrollTabBackwardLabel => '向后滚动标签列表';

  @override
  String get scrollTabForwardLabel => '向前滚动标签列表';

  @override
  String get noResultsFoundLabel => '没有找到结果';

  @override
  String get copyActionTooltip => '将选中的内容复制到剪贴板';

  @override
  String get cutActionTooltip => '将选中的内容剪切到剪贴板';

  @override
  String get pasteActionTooltip => '在当前位置插入剪贴板的内容';

  @override
  String get selectAllActionTooltip => '选择所有内容';

  @override
  String get hour => '时';

  @override
  String get minute => '分';

  @override
  String get am => '上午';

  @override
  String get pm => '下午';

  @override
  String get month => '月';

  @override
  String get day => '日';

  @override
  String get year => '年';
}

/// The translations for Chinese, using the Han script (`zh_Hant`).
class FluentLocalizationsZhHant extends FluentLocalizationsZh {
  FluentLocalizationsZhHant() : super('zh_Hant');

  @override
  String get backButtonTooltip => '返回';

  @override
  String get closeButtonLabel => '關閉';

  @override
  String get searchLabel => '搜尋';

  @override
  String get closeNavigationTooltip => '關閉導覽列';

  @override
  String get openNavigationTooltip => '開啟導覽列';

  @override
  String get clickToSearch => '點擊搜尋';

  @override
  String get modalBarrierDismissLabel => '取消';

  @override
  String get minimizeWindowTooltip => '縮小';

  @override
  String get restoreWindowTooltip => '還原';

  @override
  String get closeWindowTooltip => '關閉';

  @override
  String get dialogLabel => '對話';

  @override
  String get cutActionLabel => '剪下';

  @override
  String get copyActionLabel => '複製';

  @override
  String get pasteActionLabel => '貼上';

  @override
  String get selectAllActionLabel => '全選';

  @override
  String get newTabLabel => '新增標籤';

  @override
  String get closeTabLabelSuffix => '關閉標籤';

  @override
  String get scrollTabBackwardLabel => '向後滾動標籤列表';

  @override
  String get scrollTabForwardLabel => '向前滾動標籤列表';

  @override
  String get noResultsFoundLabel => '找不到相關結果';

  @override
  String get copyActionTooltip => '將選中的內容複製至剪貼簿';

  @override
  String get cutActionTooltip => '將選中的內容剪下至剪貼簿';

  @override
  String get pasteActionTooltip => '在當前位置插入剪貼簿內容';

  @override
  String get selectAllActionTooltip => '選擇所有內容';

  @override
  String get hour => '時';

  @override
  String get minute => '分';

  @override
  String get am => '上午';

  @override
  String get pm => '下午';

  @override
  String get month => '月';

  @override
  String get day => '日';

  @override
  String get year => '年';
}
